aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-12-01 20:51:42 +0100
committerMichał Górny <mgorny@gentoo.org>2014-12-04 15:01:35 +0100
commit25b3a589c42d42d48e3c30b49a12a46afab00d8d (patch)
treea8e3ca481dd1d6144941be6c803c9d9121b4379d /bin/phase-helpers.sh
parentDisallow helpers in global scope in EAPI 6 (diff)
downloadportage-25b3a589c42d42d48e3c30b49a12a46afab00d8d.tar.gz
portage-25b3a589c42d42d48e3c30b49a12a46afab00d8d.tar.bz2
portage-25b3a589c42d42d48e3c30b49a12a46afab00d8d.zip
Ban einstall for EAPI 6
Diffstat (limited to 'bin/phase-helpers.sh')
-rw-r--r--bin/phase-helpers.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/phase-helpers.sh b/bin/phase-helpers.sh
index 5605efd54..6e437dac0 100644
--- a/bin/phase-helpers.sh
+++ b/bin/phase-helpers.sh
@@ -666,6 +666,11 @@ econf() {
}
einstall() {
+ if ! ___eapi_has_einstall; then
+ die "'${FUNCNAME}' has been banned for EAPI '$EAPI'"
+ exit 1
+ fi
+
# CONF_PREFIX is only set if they didn't pass in libdir above.
local LOCAL_EXTRA_EINSTALL="${EXTRA_EINSTALL}"
if ! ___eapi_has_prefix_variables; then